<?php
$tdataaccount___3 = array();
$tdataaccount___3[".searchableFields"] = array();
$tdataaccount___3[".ShortName"] = "account___3";
$tdataaccount___3[".OwnerID"] = "";
$tdataaccount___3[".OriginalTable"] = "bank_activity";


$tdataaccount___3[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"search\":[\"search\"]}" );
$tdataaccount___3[".originalPagesByType"] = $tdataaccount___3[".pagesByType"];
$tdataaccount___3[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"search\":[\"search\"]}" ) );
$tdataaccount___3[".originalPages"] = $tdataaccount___3[".pages"];
$tdataaccount___3[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list\",\"search\":\"search\"}" );
$tdataaccount___3[".originalDefaultPages"] = $tdataaccount___3[".defaultPages"];

//	field labels
$fieldLabelsaccount___3 = array();
$fieldToolTipsaccount___3 = array();
$pageTitlesaccount___3 = array();
$placeHoldersaccount___3 = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsaccount___3["English"] = array();
	$fieldToolTipsaccount___3["English"] = array();
	$placeHoldersaccount___3["English"] = array();
	$pageTitlesaccount___3["English"] = array();
	$fieldLabelsaccount___3["English"]["id"] = "Id";
	$fieldToolTipsaccount___3["English"]["id"] = "";
	$placeHoldersaccount___3["English"]["id"] = "";
	$fieldLabelsaccount___3["English"]["activity"] = "Activity";
	$fieldToolTipsaccount___3["English"]["activity"] = "";
	$placeHoldersaccount___3["English"]["activity"] = "";
	$fieldLabelsaccount___3["English"]["amount"] = "Amount";
	$fieldToolTipsaccount___3["English"]["amount"] = "";
	$placeHoldersaccount___3["English"]["amount"] = "";
	$fieldLabelsaccount___3["English"]["officer"] = "Officer";
	$fieldToolTipsaccount___3["English"]["officer"] = "";
	$placeHoldersaccount___3["English"]["officer"] = "";
	$fieldLabelsaccount___3["English"]["date"] = "Date";
	$fieldToolTipsaccount___3["English"]["date"] = "";
	$placeHoldersaccount___3["English"]["date"] = "";
	$fieldLabelsaccount___3["English"]["image"] = "Image";
	$fieldToolTipsaccount___3["English"]["image"] = "";
	$placeHoldersaccount___3["English"]["image"] = "";
	$fieldLabelsaccount___3["English"]["Account"] = "Account";
	$fieldToolTipsaccount___3["English"]["Account"] = "";
	$placeHoldersaccount___3["English"]["Account"] = "";
	$fieldLabelsaccount___3["English"]["Deposit"] = "Deposit";
	$fieldToolTipsaccount___3["English"]["Deposit"] = "";
	$placeHoldersaccount___3["English"]["Deposit"] = "";
	$fieldLabelsaccount___3["English"]["Withdraw"] = "Withdraw";
	$fieldToolTipsaccount___3["English"]["Withdraw"] = "";
	$placeHoldersaccount___3["English"]["Withdraw"] = "";
	$fieldLabelsaccount___3["English"]["End_of_day"] = "End of day";
	$fieldToolTipsaccount___3["English"]["End_of_day"] = "";
	$placeHoldersaccount___3["English"]["End_of_day"] = "";
	$fieldLabelsaccount___3["English"]["particular"] = "Particular";
	$fieldToolTipsaccount___3["English"]["particular"] = "";
	$placeHoldersaccount___3["English"]["particular"] = "";
	if (count($fieldToolTipsaccount___3["English"]))
		$tdataaccount___3[".isUseToolTips"] = true;
}


	$tdataaccount___3[".NCSearch"] = true;



$tdataaccount___3[".shortTableName"] = "account___3";
$tdataaccount___3[".nSecOptions"] = 0;

$tdataaccount___3[".mainTableOwnerID"] = "";
$tdataaccount___3[".entityType"] = 1;
$tdataaccount___3[".connId"] = "test2_at_localhost";


$tdataaccount___3[".strOriginalTableName"] = "bank_activity";

	



$tdataaccount___3[".showAddInPopup"] = false;

$tdataaccount___3[".showEditInPopup"] = false;

$tdataaccount___3[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataaccount___3[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdataaccount___3[".listAjax"] = true;
//	temporary
$tdataaccount___3[".listAjax"] = false;

	$tdataaccount___3[".audit"] = true;

	$tdataaccount___3[".locking"] = false;


$pages = $tdataaccount___3[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataaccount___3[".edit"] = true;
	$tdataaccount___3[".afterEditAction"] = 1;
	$tdataaccount___3[".closePopupAfterEdit"] = 1;
	$tdataaccount___3[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataaccount___3[".add"] = true;
$tdataaccount___3[".afterAddAction"] = 1;
$tdataaccount___3[".closePopupAfterAdd"] = 1;
$tdataaccount___3[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataaccount___3[".list"] = true;
}



$tdataaccount___3[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataaccount___3[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataaccount___3[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataaccount___3[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataaccount___3[".printFriendly"] = true;
}



$tdataaccount___3[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataaccount___3[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataaccount___3[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataaccount___3[".isUseAjaxSuggest"] = true;

$tdataaccount___3[".rowHighlite"] = true;



																																																			

$tdataaccount___3[".ajaxCodeSnippetAdded"] = false;

$tdataaccount___3[".buttonsAdded"] = false;

$tdataaccount___3[".addPageEvents"] = false;

// use timepicker for search panel
$tdataaccount___3[".isUseTimeForSearch"] = false;


$tdataaccount___3[".badgeColor"] = "EDCA00";


$tdataaccount___3[".allSearchFields"] = array();
$tdataaccount___3[".filterFields"] = array();
$tdataaccount___3[".requiredSearchFields"] = array();

$tdataaccount___3[".googleLikeFields"] = array();
$tdataaccount___3[".googleLikeFields"][] = "particular";
$tdataaccount___3[".googleLikeFields"][] = "date";
$tdataaccount___3[".googleLikeFields"][] = "Deposit";
$tdataaccount___3[".googleLikeFields"][] = "Withdraw";
$tdataaccount___3[".googleLikeFields"][] = "officer";
$tdataaccount___3[".googleLikeFields"][] = "image";



$tdataaccount___3[".tableType"] = "list";

$tdataaccount___3[".printerPageOrientation"] = 0;
$tdataaccount___3[".nPrinterPageScale"] = 100;

$tdataaccount___3[".nPrinterSplitRecords"] = 40;

$tdataaccount___3[".geocodingEnabled"] = false;










$tdataaccount___3[".pageSize"] = 20;

$tdataaccount___3[".warnLeavingPages"] = true;



$tstrOrderBy = "order by `date` ASC";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataaccount___3[".strOrderBy"] = $tstrOrderBy;

$tdataaccount___3[".orderindexes"] = array();
	$tdataaccount___3[".orderindexes"][] = array(6, (1 ? "ASC" : "DESC"), "`date`");



$tdataaccount___3[".sqlHead"] = "SELECT `id`, `account_number` as \"Account\", `activity`, `amount`, `particular`, `date`,  case when `amount` > 0 then `amount` end as \"Deposit\",   case when `amount` < 0 then ABS(Amount) end as \"Withdraw\",   (select SUM(`amount`) from bank_activity where (bank_activity.`date`<= kkk.`date` and `account_number` = 3 )) AS \"End of day\", `officer`,  `image`";
$tdataaccount___3[".sqlFrom"] = "from bank_activity as kkk";
$tdataaccount___3[".sqlWhereExpr"] = "`account_number` = 3";
$tdataaccount___3[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataaccount___3[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataaccount___3[".arrGroupsPerPage"] = $arrGPP;

$tdataaccount___3[".highlightSearchResults"] = true;

$tableKeysaccount___3 = array();
$tableKeysaccount___3[] = "id";
$tdataaccount___3[".Keys"] = $tableKeysaccount___3;


$tdataaccount___3[".hideMobileList"] = array();
		$tdataaccount___3[".hideMobileList"][1] = array();
$tdataaccount___3[".hideMobileList"][1]["activity"] = true;
		$tdataaccount___3[".hideMobileList"][1]["amount"] = true;
		$tdataaccount___3[".hideMobileList"][1]["officer"] = true;
		$tdataaccount___3[".hideMobileList"][1]["image"] = true;
		$tdataaccount___3[".hideMobileList"][5] = array();
$tdataaccount___3[".hideMobileList"][5]["id"] = true;
		$tdataaccount___3[".hideMobileList"][5]["activity"] = true;
		$tdataaccount___3[".hideMobileList"][5]["amount"] = true;
		$tdataaccount___3[".hideMobileList"][5]["officer"] = true;
		$tdataaccount___3[".hideMobileList"][5]["image"] = true;




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "bank_activity";
	$fdata["Label"] = GetFieldLabel("Account___3","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`id`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccount___3["id"] = $fdata;
		$tdataaccount___3[".searchableFields"][] = "id";
//	Account
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "Account";
	$fdata["GoodName"] = "Account";
	$fdata["ownerTable"] = "bank_activity";
	$fdata["Label"] = GetFieldLabel("Account___3","Account");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "account_number";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`account_number`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "bank_accounts";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "bank";

	

	
	$edata["LookupOrderBy"] = "bank";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 1;
		$fdata["filterTotalFields"] = "id";
		$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccount___3["Account"] = $fdata;
		$tdataaccount___3[".searchableFields"][] = "Account";
//	activity
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "activity";
	$fdata["GoodName"] = "activity";
	$fdata["ownerTable"] = "bank_activity";
	$fdata["Label"] = GetFieldLabel("Account___3","activity");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "activity";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`activity`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccount___3["activity"] = $fdata;
		$tdataaccount___3[".searchableFields"][] = "activity";
//	amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "amount";
	$fdata["GoodName"] = "amount";
	$fdata["ownerTable"] = "bank_activity";
	$fdata["Label"] = GetFieldLabel("Account___3","amount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "amount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`amount`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccount___3["amount"] = $fdata;
		$tdataaccount___3[".searchableFields"][] = "amount";
//	particular
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "particular";
	$fdata["GoodName"] = "particular";
	$fdata["ownerTable"] = "bank_activity";
	$fdata["Label"] = GetFieldLabel("Account___3","particular");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "particular";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`particular`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccount___3["particular"] = $fdata;
		$tdataaccount___3[".searchableFields"][] = "particular";
//	date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "date";
	$fdata["GoodName"] = "date";
	$fdata["ownerTable"] = "bank_activity";
	$fdata["Label"] = GetFieldLabel("Account___3","date");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`date`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
			$fdata["filterTotalFields"] = "id";
		$fdata["filterFormat"] = "Interval slider";
		$fdata["showCollapsed"] = false;

	
	
	
	

	$fdata["filterKnobsType"] = 0;
		$fdata["filterSliderStepType"] = 3;
	$fdata["filterSliderStepValue"] = 1;
//end of Filters settings


	$tdataaccount___3["date"] = $fdata;
		$tdataaccount___3[".searchableFields"][] = "date";
//	Deposit
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "Deposit";
	$fdata["GoodName"] = "Deposit";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("Account___3","Deposit");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Deposit";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "case when `amount` > 0 then `amount` end";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccount___3["Deposit"] = $fdata;
		$tdataaccount___3[".searchableFields"][] = "Deposit";
//	Withdraw
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "Withdraw";
	$fdata["GoodName"] = "Withdraw";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("Account___3","Withdraw");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Withdraw";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "case when `amount` < 0 then ABS(Amount) end";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccount___3["Withdraw"] = $fdata;
		$tdataaccount___3[".searchableFields"][] = "Withdraw";
//	End of day
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "End of day";
	$fdata["GoodName"] = "End_of_day";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("Account___3","End_of_day");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "End of day";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "(select SUM(`amount`) from bank_activity where (bank_activity.`date`<= kkk.`date` and `account_number` = 3 ))";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccount___3["End of day"] = $fdata;
		$tdataaccount___3[".searchableFields"][] = "End of day";
//	officer
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "officer";
	$fdata["GoodName"] = "officer";
	$fdata["ownerTable"] = "bank_activity";
	$fdata["Label"] = GetFieldLabel("Account___3","officer");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "officer";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`officer`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccount___3["officer"] = $fdata;
		$tdataaccount___3[".searchableFields"][] = "officer";
//	image
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "image";
	$fdata["GoodName"] = "image";
	$fdata["ownerTable"] = "bank_activity";
	$fdata["Label"] = GetFieldLabel("Account___3","image");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "image";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`image`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=5000";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccount___3["image"] = $fdata;
		$tdataaccount___3[".searchableFields"][] = "image";


$tables_data["Account - 3"]=&$tdataaccount___3;
$field_labels["Account___3"] = &$fieldLabelsaccount___3;
$fieldToolTips["Account___3"] = &$fieldToolTipsaccount___3;
$placeHolders["Account___3"] = &$placeHoldersaccount___3;
$page_titles["Account___3"] = &$pageTitlesaccount___3;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["Account - 3"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["Account - 3"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_account___3()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "`id`, `account_number` as \"Account\", `activity`, `amount`, `particular`, `date`,  case when `amount` > 0 then `amount` end as \"Deposit\",   case when `amount` < 0 then ABS(Amount) end as \"Withdraw\",   (select SUM(`amount`) from bank_activity where (bank_activity.`date`<= kkk.`date` and `account_number` = 3 )) AS \"End of day\", `officer`,  `image`";
$proto0["m_strFrom"] = "from bank_activity as kkk";
$proto0["m_strWhere"] = "`account_number` = 3";
$proto0["m_strOrderBy"] = "order by `date` ASC";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "`account_number` = 3";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "account_number",
	"m_strTable" => "kkk",
	"m_srcTableName" => "Account - 3"
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "= 3";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "kkk",
	"m_srcTableName" => "Account - 3"
));

$proto6["m_sql"] = "`id`";
$proto6["m_srcTableName"] = "Account - 3";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "account_number",
	"m_strTable" => "kkk",
	"m_srcTableName" => "Account - 3"
));

$proto8["m_sql"] = "`account_number`";
$proto8["m_srcTableName"] = "Account - 3";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "Account";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "activity",
	"m_strTable" => "kkk",
	"m_srcTableName" => "Account - 3"
));

$proto10["m_sql"] = "`activity`";
$proto10["m_srcTableName"] = "Account - 3";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "amount",
	"m_strTable" => "kkk",
	"m_srcTableName" => "Account - 3"
));

$proto12["m_sql"] = "`amount`";
$proto12["m_srcTableName"] = "Account - 3";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "particular",
	"m_strTable" => "kkk",
	"m_srcTableName" => "Account - 3"
));

$proto14["m_sql"] = "`particular`";
$proto14["m_srcTableName"] = "Account - 3";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "date",
	"m_strTable" => "kkk",
	"m_srcTableName" => "Account - 3"
));

$proto16["m_sql"] = "`date`";
$proto16["m_srcTableName"] = "Account - 3";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "case when `amount` > 0 then `amount` end"
));

$proto18["m_sql"] = "case when `amount` > 0 then `amount` end";
$proto18["m_srcTableName"] = "Account - 3";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "Deposit";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "case when `amount` < 0 then ABS(Amount) end"
));

$proto20["m_sql"] = "case when `amount` < 0 then ABS(Amount) end";
$proto20["m_srcTableName"] = "Account - 3";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "Withdraw";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$proto23=array();
$proto23["m_strHead"] = "select";
$proto23["m_strFieldList"] = "SUM(`amount`)";
$proto23["m_strFrom"] = "from bank_activity";
$proto23["m_strWhere"] = "(bank_activity.`date`<= kkk.`date` and `account_number` = 3 )";
$proto23["m_strOrderBy"] = "";
	
		;
			$proto23["cipherer"] = null;
$proto25=array();
$proto25["m_sql"] = "bank_activity.`date`<= kkk.`date` and `account_number` = 3 ";
$proto25["m_uniontype"] = "SQLL_AND";
	$obj = new SQLNonParsed(array(
	"m_sql" => "bank_activity.`date`<= kkk.`date` and `account_number` = 3 "
));

$proto25["m_column"]=$obj;
$proto25["m_contained"] = array();
						$proto27=array();
$proto27["m_sql"] = "bank_activity.`date`<= kkk.`date`";
$proto27["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "date",
	"m_strTable" => "bank_activity",
	"m_srcTableName" => "Account - 3"
));

$proto27["m_column"]=$obj;
$proto27["m_contained"] = array();
$proto27["m_strCase"] = "<= kkk.`date`";
$proto27["m_havingmode"] = false;
$proto27["m_inBrackets"] = false;
$proto27["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto27);

			$proto25["m_contained"][]=$obj;
						$proto29=array();
$proto29["m_sql"] = "`account_number` = 3";
$proto29["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "account_number",
	"m_strTable" => "bank_activity",
	"m_srcTableName" => "Account - 3"
));

$proto29["m_column"]=$obj;
$proto29["m_contained"] = array();
$proto29["m_strCase"] = "= 3";
$proto29["m_havingmode"] = false;
$proto29["m_inBrackets"] = false;
$proto29["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto29);

			$proto25["m_contained"][]=$obj;
$proto25["m_strCase"] = "";
$proto25["m_havingmode"] = false;
$proto25["m_inBrackets"] = false;
$proto25["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto25);

$proto23["m_where"] = $obj;
$proto31=array();
$proto31["m_sql"] = "";
$proto31["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto31["m_column"]=$obj;
$proto31["m_contained"] = array();
$proto31["m_strCase"] = "";
$proto31["m_havingmode"] = false;
$proto31["m_inBrackets"] = false;
$proto31["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto31);

$proto23["m_having"] = $obj;
$proto23["m_fieldlist"] = array();
						$proto33=array();
			$proto34=array();
$proto34["m_functiontype"] = "SQLF_SUM";
$proto34["m_arguments"] = array();
						$obj = new SQLField(array(
	"m_strName" => "amount",
	"m_strTable" => "bank_activity",
	"m_srcTableName" => "Account - 3"
));

$proto34["m_arguments"][]=$obj;
$proto34["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto34);

$proto33["m_sql"] = "SUM(`amount`)";
$proto33["m_srcTableName"] = "Account - 3";
$proto33["m_expr"]=$obj;
$proto33["m_alias"] = "";
$obj = new SQLFieldListItem($proto33);

$proto23["m_fieldlist"][]=$obj;
$proto23["m_fromlist"] = array();
												$proto36=array();
$proto36["m_link"] = "SQLL_MAIN";
			$proto37=array();
$proto37["m_strName"] = "bank_activity";
$proto37["m_srcTableName"] = "Account - 3";
$proto37["m_columns"] = array();
$proto37["m_columns"][] = "id";
$proto37["m_columns"][] = "account_number";
$proto37["m_columns"][] = "activity";
$proto37["m_columns"][] = "amount";
$proto37["m_columns"][] = "officer";
$proto37["m_columns"][] = "type";
$proto37["m_columns"][] = "date";
$proto37["m_columns"][] = "image";
$proto37["m_columns"][] = "particular";
$proto37["m_columns"][] = "outlet_code";
$obj = new SQLTable($proto37);

$proto36["m_table"] = $obj;
$proto36["m_sql"] = "bank_activity";
$proto36["m_alias"] = "";
$proto36["m_srcTableName"] = "Account - 3";
$proto38=array();
$proto38["m_sql"] = "";
$proto38["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto38["m_column"]=$obj;
$proto38["m_contained"] = array();
$proto38["m_strCase"] = "";
$proto38["m_havingmode"] = false;
$proto38["m_inBrackets"] = false;
$proto38["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto38);

$proto36["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto36);

$proto23["m_fromlist"][]=$obj;
$proto23["m_groupby"] = array();
$proto23["m_orderby"] = array();
$proto23["m_srcTableName"]="Account - 3";		
$obj = new SQLQuery($proto23);

$proto22["m_sql"] = "(select SUM(`amount`) from bank_activity where (bank_activity.`date`<= kkk.`date` and `account_number` = 3 ))";
$proto22["m_srcTableName"] = "Account - 3";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "End of day";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto40=array();
			$obj = new SQLField(array(
	"m_strName" => "officer",
	"m_strTable" => "kkk",
	"m_srcTableName" => "Account - 3"
));

$proto40["m_sql"] = "`officer`";
$proto40["m_srcTableName"] = "Account - 3";
$proto40["m_expr"]=$obj;
$proto40["m_alias"] = "";
$obj = new SQLFieldListItem($proto40);

$proto0["m_fieldlist"][]=$obj;
						$proto42=array();
			$obj = new SQLField(array(
	"m_strName" => "image",
	"m_strTable" => "kkk",
	"m_srcTableName" => "Account - 3"
));

$proto42["m_sql"] = "`image`";
$proto42["m_srcTableName"] = "Account - 3";
$proto42["m_expr"]=$obj;
$proto42["m_alias"] = "";
$obj = new SQLFieldListItem($proto42);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto44=array();
$proto44["m_link"] = "SQLL_MAIN";
			$proto45=array();
$proto45["m_strName"] = "bank_activity";
$proto45["m_srcTableName"] = "Account - 3";
$proto45["m_columns"] = array();
$proto45["m_columns"][] = "id";
$proto45["m_columns"][] = "account_number";
$proto45["m_columns"][] = "activity";
$proto45["m_columns"][] = "amount";
$proto45["m_columns"][] = "officer";
$proto45["m_columns"][] = "type";
$proto45["m_columns"][] = "date";
$proto45["m_columns"][] = "image";
$proto45["m_columns"][] = "particular";
$proto45["m_columns"][] = "outlet_code";
$obj = new SQLTable($proto45);

$proto44["m_table"] = $obj;
$proto44["m_sql"] = "bank_activity as kkk";
$proto44["m_alias"] = "kkk";
$proto44["m_srcTableName"] = "Account - 3";
$proto46=array();
$proto46["m_sql"] = "";
$proto46["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto46["m_column"]=$obj;
$proto46["m_contained"] = array();
$proto46["m_strCase"] = "";
$proto46["m_havingmode"] = false;
$proto46["m_inBrackets"] = false;
$proto46["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto46);

$proto44["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto44);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto48=array();
						$obj = new SQLField(array(
	"m_strName" => "date",
	"m_strTable" => "kkk",
	"m_srcTableName" => "Account - 3"
));

$proto48["m_column"]=$obj;
$proto48["m_bAsc"] = 1;
$proto48["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto48);

$proto0["m_orderby"][]=$obj;					
$proto0["m_srcTableName"]="Account - 3";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_account___3 = createSqlQuery_account___3();


	
		;

											

$tdataaccount___3[".sqlquery"] = $queryData_account___3;



$tableEvents["Account - 3"] = new eventsBase;
$tdataaccount___3[".hasEvents"] = false;

?>